<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<!-- part for representation of vote's summary -->

<!-- indicator component for display steps and current worflow done/current/to-do -->
<vote-workflow-view></vote-workflow-view>


<h2 id="stepTitle">
  {{ 'global.step.title-prefix' | translate:currentStepNumber }}
  {{ 'summary.step-name' | translate }}
</h2>

<section role="document"
         [innerHTML]="(hasSingleBallot ? 'summary.description.single-ballot' : 'summary.description.multi-ballot') | translate"></section>

<section role="main">

  <!-- elections -->
  <!-- TODO -->

  <!-- votations -->
  <ng-container *ngIf="votations.length > 0">
    <h3
      [innerHtml]="(hasMixedBallots ? 'summary.choices.title.votation' : 'summary.choices.title.single-ballot') | translate"></h3>

    <chvote-votation-ballot *ngIf="isGroupedVotation" display="summary"
                            [buttonDisabled]="nextStepChecked || busy"
                            [votations]="votations"></chvote-votation-ballot>

    <ol *ngIf="!isGroupedVotation">
      <li *ngFor="let votation of votations; index as ballotNumber">
        <chvote-votation-ballot display="summary"
                                [buttonDisabled]="nextStepChecked || busy"
                                [votations]="[votation]"
                                [ballotNumber]="ballotNumber"></chvote-votation-ballot>
      </li>
    </ol>
  </ng-container>

  <div *ngIf="!hasSingleBallot" class="back-button">
    <button mat-raised-button class="secondary"
            id="back-button"
            [disabled]="nextStepChecked || busy"
            (click)="back()">
      <i class="fas fa-bars" data-fa-transform="up-1 left-6"></i>
      {{ 'global.actions.back' | translate }}
    </button>
  </div>

</section>

<section role="complementary">
  <!-- authentication -->
  <form [formGroup]="authenticationForm" novalidate>
    <h3 [innerHtml]="'summary.authentication.title' | translate"></h3>
    <div class="authentication-content form-note">
      <div>
        <span class="authentication-form-input-description" id="inputDescription">{{'summary.authentication.field.birthDate.label' | translate}}</span>
        <br>
        <span class="authentication-form-input-example"
              [innerHTML]="'summary.authentication.field.birthDate.example.' + birthDateScope.toLowerCase() | translate"></span>
      </div>
      <mat-form-field id="birthDate" floatLabel=never>
        <input matInput id="birthDateInput" formControlName="birthDate" aria-labelledby="inputDescription"
               autocomplete="off">
        <mat-placeholder
          [innerHTML]="'summary.authentication.field.birthDate.placeholder' | translate"></mat-placeholder>
        <mat-error *ngIf="authenticationForm.invalid">
          <default-errors fieldName="birthDate" [form]="authenticationForm"></default-errors>
        </mat-error>
      </mat-form-field>
    </div>
  </form>
</section>

<section role="complementary">

  <!-- next step -->
  <h3 [innerHtml]="'summary.next-step.title' | translate"></h3>
  <div class="form-note">
    <span [innerHtml]="'summary.next-step.description' | translate"></span>

    <chvote-expansion-panel accessibilityKey="summary.next-step.complementary.title.accessibility"
                            titleKey="summary.next-step.complementary.title.text"
                            contentKey="summary.next-step.complementary.content"
                            strongerContrast="true">
    </chvote-expansion-panel>

    <div class="check-zone">
      <label id="label-checkNextStep">
        <div class="check-zone-checkbox">
          <chvote-checkbox id="checkNextStep"
                           [checked]="nextStepChecked"
                           (selected)="nextStepChecked = !nextStepChecked">
          </chvote-checkbox>
        </div>
        <span [innerHtml]="'summary.next-step.check-notification' | translate"></span>
      </label>
    </div>
  </div>

</section>

<nav>
  <button mat-raised-button
          id="quit-button"
          class="abort"
          [disabled]="nextStepChecked || busy"
          (click)="quit()">
    <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>
    {{ 'global.actions.quit' | translate }}
  </button>

  <div class="button-with-hint">
    <button mat-raised-button class="primary"
            id="next-step-button"
            aria-describedby="next-step-hint"
            [disabled]="!canVote()"
            (click)="submitVote()">
      {{ 'global.actions.continue' | translate }}
      <i class="fas fa-arrow-right" data-fa-transform="up-1 right-6"></i>
      <span *ngIf="busy">
        <i class="fas fa-spinner fa-pulse" data-fa-transform="up-1 right-10"></i>
      </span>
    </button>
    <span id="next-step-hint" class="next-step-hint">
        {{ 'global.step.next-info' | translate:nextStepNumber }}{{ 'control.step-name' | translate }}
    </span>
  </div>
</nav>




